MMG2D(1)

NAME
mmg2d - Adaptation and optimization of bidimensional meshes

SYNOPSIS
mmg2d <mesh_file> [output_file] [-sol <solution_file>] [-met <metric_file>] [-h] [-v] [-m <n>] [-d] [-val] [-default] [-A] [-ar <x> | -nr] [-hmin <x>] [-hmax <x>] [-hsiz <x>] [-hausd <x>] [-hgrad <x>] [-hgradreq <x>] [-rmc x] [-lag <n>] [-ls x] [-lssurf x] [-noinsert] [-nomove] [-noswap] [-nosurf] [-nosizreq] [-nreg] [-xreg] [-nsd <n>] [-opnbdy] [-optim] [-3dMedit <n>]

DESCRIPTION
The mmg2d application is dedicated to bidimensional triangular mesh remeshing.

By default it performs mesh modifications in order to control the surface approximation.
Providing a metric file, it adapts the mesh to the prescribed sizes at nodes.
Without metric file, the -optim option allows to improve the mesh quality with respect to the initial mesh size.
Providing a level-set file containing the values of the level-set function at the mesh nodes, the -ls option allows to explicitely mesh an implicit domain and the -lssurf option splits mesh boundaries on a provided isovalue.
Providing a displacement file -lag option applies a lagrangian displacement to boundary mesh nodes.

COMMAND LINE ARGUMENTS

1.  Generic options:
    -h  Print help.
    -v <n>
        Tune level of verbosity.
        Takes values between -1 and 10.
    -m <n>
        Set maximal memory size to n MBytes.
    -d  Turn on debug mode.
    -default
        Write a local parameter file (with extension .mmg2d) with setted values.
    -val
        Print the default parameters values.

2.  File specifications:
    -in <mesh_file>
        Input triangulation.
    -out <output_file>
        Output triangulation.
    -sol <solution_file>
        Load metric, level-set or displacement file.
    -met <metric_file>
        Load metric file in level-set mode.

3.  Mode specifications (default is mesh adaptation):
    -lag <n>
        Lagrangian mesh displacement according to mode 0 ( n=0 ), 1 ( n=1 ) or 2 ( n=2 ). This option is only available with the USE_ELAS compilation flag. The LinearElasticity library must be founded to activate this flag.
    -ls x
        Create mesh of isovalue x (0.0 if x is not provided).
    -lssurf x
        Split boundary mesh on isovalue x (0.0 if x is not provided).

4.  Parameters:
    -A  Enable anisotropy (without metric file).
    -ar <x> | -nr
        Threshold for angle detection or sharp features detection disabling.
    -hmin <x>
        Minimal mesh size.
    -hmax <x>
        Maximal mesh size.
    -hsiz <x>
        Constant mesh size.
    -hausd <x>
        Control the Hausdorff distance to the underlying surface geometry.
    -hgrad <x>
        Control the gradation.
    -hgradreq <x>
        Control the gradation from required entities toward others.
    -rmc x
        Remove componants whose volumic fraction is less than x (1.e-5 if x is not provided) of the whole mesh volume or not connected to base references provided in parameter file (level-set mode).
    -opnbdy
        Preserve input edges at the interface of two domains of the same reference.
    -noinsert
        No point insertion/deletion.
    -nomove
        No point relocation
    -nosurf
        No surface modifications.
    -noswap
        No edge or face flipping.
    -nosizreq
        No imposition of the size of required edges over required vertices.
    -nreg
        Normal regularization using laplacian - antilaplacian smoothing.
    -xreg
        Vertex coordinates regularization using laplacian - antilaplacian smoothing.
    -nsd <n>
        Save the subdomain of index n (default is n=0 which save all subdomains).
    -optim
        Mesh improvement with respect to the initial mesh size.
    -3dMedit <n>
        Write and/or read Medit mesh file in 3D. If val=1 write the 2D mesh in 3D. If val=2 read and write 2D mesh in 3D. If val=3 read a 2D mesh in 3D and write it in 2D.

RETURN VALUES
mmg2d returns:
•   the 0 value if successful;
•   the 1 value if the process fail but can save a conform mesh;
•   the 2 value if the process fail and can't save a comform mesh.

SEE ALSO
mmg3d(1) mmgs(1)